.ps-d591721d-container {
    width: 100%;
    box-sizing: border-box;
}

.ps-d591721d-title {
    margin: 0 0 16px 0;
    font-size: 14px;
    font-weight: 700;
    letter-spacing: 0.1em;
    color: #a3a3a3;
    text-transform: uppercase;
}

.ps-d591721d-rows-wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.ps-d591721d-hr {
    margin: 0 !important;
    padding: 0 !important;
    border: none;
    border-top: 1px solid rgba(255, 255, 255, 0.12);
    width: 100%;
}

.ps-d591721d-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: clamp(1.875rem, 10.9vw - 1.395rem, 6.25rem)
    padding: 14px 0;
    box-sizing: border-box;
    width: 100%;
}

.ps-d591721d-label {
    flex-shrink: 0;
    font-size: 15px;
    font-weight: 400;
    color: #e5e5e5;
    text-align: left;
}

.ps-d591721d-value {
    flex-grow: 1;
    text-align: right;
    font-size: 15px;
    font-weight: 600;
    color: #ffffff;
    word-break: break-word; /* Ensure wrapping on very long values */
}
